package com.liang.service;

import com.liang.entity.BaseLanguage;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BaseLanguage)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:15
 */
public interface BaseLanguageService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BaseLanguage queryById(Integer id);

    /**
     * 分页查询
     *
     * @param baseLanguage 筛选条件
     * @param pageRequest  分页对象
     * @return 查询结果
     */
    Page<BaseLanguage> queryByPage(BaseLanguage baseLanguage, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param baseLanguage 实例对象
     * @return 实例对象
     */
    BaseLanguage insert(BaseLanguage baseLanguage);

    /**
     * 修改数据
     *
     * @param baseLanguage 实例对象
     * @return 实例对象
     */
    BaseLanguage update(BaseLanguage baseLanguage);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取外语语种列表
     *
     * @return
     */
    List<Map<String, String>> getLanguageList();
}
